aicompose.saveTone
Install or uninstall an AI composer tone », adding it to or removing it from the list of saved tones of the current user. Non-Premium users may install up to aicompose_tone_saved_limit_default » tones, Premium users up to aicompose_tone_saved_limit_premium » tones.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Install or uninstall an AI composer tone », adding it to or removing it from the list of saved tones of the current user. Non-Premium users may install up to aicompose_tone_saved_limit_default » tones, Premium users up to aicompose_tone_saved_limit_premium » tones.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/aicompose.saveTone" \ -H "Content-Type: application/json" \ -d '{ "params": { "tone": { "_": "inputAiComposeToneDefault", "tone": "string" }, "unsave": true } }'{ "result": true}getTones
Fetch the list of saved [AI composer tones »](https://core.telegram.org/api/ai#ai-compose-tones) of the current user.
updateTone
Edit a custom [AI composer tone »](https://core.telegram.org/api/ai#ai-compose-tones) previously created by the current user. Only the fields whose flag is set will be modified.